QGIS Application - Bug report #4645

Changing multiple symbol colours at once is applied immediately to the layer

2011-12-14 12:55 AM - Tim Sutton

Status: Closed
Priority: Normal
Assignee:

Category: Symbology

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 14543

Description

When dealing with categorised or ramp new symbology, you can select multiple classes and change their colour in one operation.
However if the user presses cancel on the vector layer properties dialog, these changes are applied anyway. This is bad....

History

#1 - 2012-09-04 11:55 AM - Paolo Cavallini
- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.8.0 to Version 2.0.0

- Affected QGIS version set to master

#2 - 2014-06-28 07:41 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2015-12-07 06:37 AM - Médéric RIBREUX
- Status changed from Open to Feedback

Hello, bug triage...

seems to be fixed (at least in master). If | cancel the changes, the style is not updated.

Can you confirm this ?

#4 - 2015-12-26 12:31 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

seems really fixed now, please reopen if necessary.
